Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/content/{node_id}/restore \ --header 'Authorization: Bearer <token>'
{ "data": { "attributes": { "content_type": "<string>", "created_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "description": "<string>", "hub_id": "<string>", "legacy_hash": "<string>", "media_id": "<string>", "meta": {}, "node_type": "<string>", "parent_id": "<string>", "position": 123, "privacy": "<string>", "published_at": "2023-11-07T05:31:56Z", "slug": "<string>", "team_id": "<string>", "title": "<string>", "updated_at": "2023-11-07T05:31:56Z", "attachments": [ { "id": "<string>", "media_id": "<string>", "role": "<string>", "file_id": "<string>", "filename": "<string>", "mime_type": "<string>", "size_bytes": 123, "url": "<string>" } ], "file_id": "<string>", "is_saved": false }, "id": "<string>", "type": "content_nodes" } }
Restore a soft-deleted content node (and its children).
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Show child attributes